| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
ObjectList< TYPE > Class Template Reference

ObjectList is one of the basic Gaudi container classes capable of being registered in Data Stores. More...

`#include <GaudiKernel/ObjectList.h>`

Inheritance diagram for ObjectList< TYPE >:
[legend]
Collaboration diagram for ObjectList< TYPE >:
[legend]

## Public Types
typedef TYPE | contained_type
typedef std::list< TYPE * >::value_type | value_type
typedef std::list< TYPE * >::reference | reference
typedef std::list< TYPE * >::const_reference | const_reference
typedef std::list< TYPE * >::iterator | iterator
typedef std::list< TYPE * >::const_iterator | const_iterator
typedef std::list< TYPE * >::reverse_iterator | reverse_iterator
typedef std::list< TYPE * >::const_reverse_iterator | const_reverse_iterator
typedef std::vector< TYPE * >::pointer | pointer
typedef std::vector< TYPE * >::const_pointer | const_pointer
Public Types inherited from ObjectContainerBase
typedef size_t | size_type
| size_type, to conform the STL container interface More...

## Public Member Functions
| ObjectList ()=default
| Constructors. More...
| ObjectList (const ObjectList< TYPE > &)=delete
ObjectList & | operator= (const ObjectList< TYPE > &)=delete
virtual | ~ObjectList ()
| Destructor. More...
virtual const CLID & | clID () const
| Retrieve pointer to class definition structure. More...
ObjectList< TYPE >::iterator | begin ()
| Return an iterator pointing to the beginning of the container. More...
ObjectList< TYPE >::const_iterator | begin () const
| Return a const_iterator pointing to the beginning of the container. More...
ObjectList< TYPE >::iterator | end ()
| Return an iterator pointing to the end of the container. More...
ObjectList< TYPE >::const_iterator | end () const
| Return a const_iterator pointing to the end of the container. More...
ObjectList< TYPE >::reverse_iterator | rbegin ()
| Return a reverse_iterator pointing to the beginning of the reversed container. More...
ObjectList< TYPE >::const_reverse_iterator | rbegin () const
| Return a const_reverse_iterator pointing to the beginning of the reversed container. More...
ObjectList< TYPE >::reverse_iterator | rend ()
| Return a reverse_iterator pointing to the end of the reversed container. More...
ObjectList< TYPE >::const_reverse_iterator | rend () const
| Return a const_reverse_iterator pointing to the end of the reversed container. More...
ObjectList< TYPE >::size_type | size () const
| Return the size of the container Size means the number of objects stored in the container, independently on the amount of information stored in each object. More...
virtual ObjectList< TYPE >::size_type | numberOfObjects () const
| The same as size(), return number of objects in the container. More...
ObjectList< TYPE >::size_type | max_size () const
| Return the largest possible size of the container. More...
bool | empty () const
| Return true if the size of the container is 0. More...
ObjectList< TYPE >::reference | front ()
| Return reference to the first element. More...
ObjectList< TYPE >::const_reference | front () const
| Return const_reference to the first element. More...
ObjectList< TYPE >::reference | back ()
| Return reference to the last element. More...
ObjectList< TYPE >::const_reference | back () const
| Return const_reference to the last element. More...
void | push_back (typename ObjectList< TYPE >::const_reference value)
| push_back = append = insert a new element at the end of the container More...
virtual long | add (ContainedObject *pObject)
| Add an object to the container. More...
void | pop_back ()
| pop_back = remove the last element from the container The removed object will be deleted (see the method release) More...
virtual long | remove (ContainedObject *value)
| Release object from the container (the pointer will be removed from the container, but the object itself will remain alive) (see the method pop_back) More...
ObjectList< TYPE >::iterator | insert (typename ObjectList< TYPE >::iterator position, typename ObjectList< TYPE >::const_reference value)
| Insert "value" before "position". More...
void | erase (typename ObjectList< TYPE >::iterator position)
| Erase the object at "position" from the container. The removed object will be deleted. More...
void | erase (typename ObjectList< TYPE >::iterator first, typename ObjectList< TYPE >::iterator last)
| Erase the range [first, last) from the container. The removed object will be deleted. More...
void | clear ()
| Clear the entire content of the container and delete all contained objects. More...
virtual long | index (const ContainedObject *obj) const
| Return distance of a given object from the beginning of its container It corresponds to the "index" ( from 0 to size()-1 ) If "obj" not fount, return -1. More...
virtual ContainedObject * | containedObject (long dist) const
| Return const pointer to an object of a given distance. More...
virtual std::ostream & | fillStream (std::ostream &s) const
| Fill the output stream (ASCII) More...
Public Member Functions inherited from DataObject
| DataObject ()
| Standard Constructor. More...
| DataObject (const DataObject &rhs)
| Copy Constructor. More...
DataObject & | operator= (const DataObject &rhs)
| Assignment Operator. More...
| DataObject (DataObject &&rhs)
| Move Constructor. More...
DataObject & | operator= (DataObject &&rhs)
| Move Assignment Operator. More...
virtual | ~DataObject ()
| Standard Destructor. More...
virtual unsigned long | addRef ()
| Add reference to object. More...
virtual unsigned long | release ()
| release reference to object More...
const std::string & | name () const
| Retreive DataObject name. It is the name when registered in the store. More...
virtual StatusCode | update ()
| Provide empty placeholder for internal object reconfiguration callback. More...
void | setRegistry (IRegistry *pRegistry)
| Set pointer to Registry. More...
IRegistry * | registry () const
| Get pointer to Registry. More...
LinkManager * | linkMgr () const
| Retrieve Link manager. More...
unsigned char | version () const
| Retrieve version number of this object representation. More...
void | setVersion (unsigned char vsn)
| Set version number of this object representation. More...
unsigned long | refCount () const
| Return the refcount. More...

## Static Public Member Functions
static const CLID & | classID ()
Static Public Member Functions inherited from DataObject
static const CLID & | classID ()
| Retrieve reference to class definition structure (static access) More...

## Private Attributes
std::list< TYPE * > | m_list
| The STL list. More...

## Additional Inherited Members
Protected Member Functions inherited from ObjectContainerBase
| ObjectContainerBase ()=default
| Constructor. More...
| ~ObjectContainerBase () override=default
| Destructor. More...

## Detailed Description

### template<class TYPE>
class ObjectList< TYPE >

ObjectList is one of the basic Gaudi container classes capable of being registered in Data Stores.

It is based on Standard Library (STL) std::list (see STL Programmer's Guide) ObjectList has all functions of the std::list interface,

Each object is allowed to belong into a single container only. After inserting the object into the container, it takes over all responsibilities for the object. E.g. erasing the object from its container causes removing the object's pointer from the container and deleting the object itself.

Author
  Pavel Binko
  Pere Mato

Date
  19/10/1999, 30/11/2000

Definition at line 12 of file ContainedObject.h.

## Member Typedef Documentation

template<class TYPE>

typedef std::list<TYPE*>::const_iterator ObjectList< TYPE >::const_iterator

Definition at line 47 of file ObjectList.h.

template<class TYPE>

typedef std::vector<TYPE*>::const_pointer ObjectList< TYPE >::const_pointer

Definition at line 57 of file ObjectList.h.

template<class TYPE>

typedef std::list<TYPE*>::const_reference ObjectList< TYPE >::const_reference

Definition at line 44 of file ObjectList.h.

template<class TYPE>

typedef std::list<TYPE*>::const_reverse_iterator ObjectList< TYPE >::const_reverse_iterator

Definition at line 50 of file ObjectList.h.

template<class TYPE>

typedef TYPE ObjectList< TYPE >::contained_type

Definition at line 40 of file ObjectList.h.

template<class TYPE>

typedef std::list<TYPE*>::iterator ObjectList< TYPE >::iterator

Definition at line 46 of file ObjectList.h.

template<class TYPE>

typedef std::vector<TYPE*>::pointer ObjectList< TYPE >::pointer

Definition at line 56 of file ObjectList.h.

template<class TYPE>

typedef std::list<TYPE*>::reference ObjectList< TYPE >::reference

Definition at line 43 of file ObjectList.h.

template<class TYPE>

typedef std::list<TYPE*>::reverse_iterator ObjectList< TYPE >::reverse_iterator

Definition at line 49 of file ObjectList.h.

template<class TYPE>

typedef std::list<TYPE*>::value_type ObjectList< TYPE >::value_type

Definition at line 41 of file ObjectList.h.

## Constructor & Destructor Documentation

template<class TYPE>

ObjectList< TYPE >::ObjectList | ( |  | ) |
| default

Constructors.

template<class TYPE>

ObjectList< TYPE >::ObjectList | ( | const ObjectList< TYPE > & |  | ) |
| delete

template<class TYPE>

virtual ObjectList< TYPE >::~ObjectList | ( |  | ) |
| inline virtual

Destructor.

Definition at line 68 of file ObjectList.h.

68 {
69 clear();
70 }
ObjectList::clear
void clear()
Clear the entire content of the container and delete all contained objects.
Definition: ObjectList.h:250

## Member Function Documentation

template<class TYPE>

virtual long ObjectList< TYPE >::add | ( | ContainedObject * | pObject | ) |
| inline virtual

Add an object to the container.

Implements ObjectContainerBase.

Definition at line 173 of file ObjectList.h.

173 {
174 try {
175 auto ptr = dynamic_cast<typename ObjectList<TYPE>::value_type>(pObject);
176 if ( ptr ) {
177 push_back(ptr);
178 return m_list.size()-1;
179 }
180 }
181 catch(...) {
182 }
183 return -1;
184 }
ObjectList::value_type
std::list< TYPE * >::value_type value_type
Definition: ObjectList.h:41
ObjectList::m_list
std::list< TYPE * > m_list
The STL list.
Definition: ObjectList.h:290
std::list::size
T size(T...args)
ObjectList::push_back
void push_back(typename ObjectList< TYPE >::const_reference value)
push_back = append = insert a new element at the end of the container
Definition: ObjectList.h:164
template<class TYPE>

ObjectList<TYPE>::reference ObjectList< TYPE >::back | ( |  | ) |
| inline

Return reference to the last element.

Definition at line 154 of file ObjectList.h.

154 {
155 return m_list.back();
156 }
ObjectList::m_list
std::list< TYPE * > m_list
The STL list.
Definition: ObjectList.h:290
std::list::back
T back(T...args)
template<class TYPE>

ObjectList<TYPE>::const_reference ObjectList< TYPE >::back | ( |  | ) | const
| inline

Return const_reference to the last element.

Definition at line 159 of file ObjectList.h.

159 {
160 return m_list.back();
161 }
ObjectList::m_list
std::list< TYPE * > m_list
The STL list.
Definition: ObjectList.h:290
std::list::back
T back(T...args)
template<class TYPE>

ObjectList<TYPE>::iterator ObjectList< TYPE >::begin | ( |  | ) |
| inline

Return an iterator pointing to the beginning of the container.

Definition at line 82 of file ObjectList.h.

82 {
83 return m_list.begin();
84 }
ObjectList::m_list
std::list< TYPE * > m_list
The STL list.
Definition: ObjectList.h:290
std::list::begin
T begin(T...args)
template<class TYPE>

ObjectList<TYPE>::const_iterator ObjectList< TYPE >::begin | ( |  | ) | const
| inline

Return a const_iterator pointing to the beginning of the container.

Definition at line 87 of file ObjectList.h.

87 {
88 return m_list.begin();
89 }
ObjectList::m_list
std::list< TYPE * > m_list
The STL list.
Definition: ObjectList.h:290
std::list::begin
T begin(T...args)
template<class TYPE>

static const CLID& ObjectList< TYPE >::classID | ( |  | ) |
| inline static

Definition at line 76 of file ObjectList.h.

76 {
77 static CLID clid = TYPE::classID() + CLID_ObjectList;
78 return clid;
79 }
CLID
unsigned int CLID
Class ID definition.
Definition: ClassID.h:8
template<class TYPE>

void ObjectList< TYPE >::clear | ( |  | ) |
| inline

Clear the entire content of the container and delete all contained objects.

Definition at line 250 of file ObjectList.h.

250 {
251 erase(begin(), end());
252 }
ObjectList::begin
ObjectList< TYPE >::iterator begin()
Return an iterator pointing to the beginning of the container.
Definition: ObjectList.h:82
ObjectList::erase
void erase(typename ObjectList< TYPE >::iterator position)
Erase the object at "position" from the container. The removed object will be deleted.
Definition: ObjectList.h:225
ObjectList::end
ObjectList< TYPE >::iterator end()
Return an iterator pointing to the end of the container.
Definition: ObjectList.h:92
template<class TYPE>

virtual const CLID& ObjectList< TYPE >::clID | ( |  | ) | const
| inline virtual

Retrieve pointer to class definition structure.

Reimplemented from DataObject.

Definition at line 73 of file ObjectList.h.

73 {
74 return ObjectList<TYPE>::classID();
75 }
ObjectList::classID
static const CLID & classID()
Definition: ObjectList.h:76
template<class TYPE>

virtual ContainedObject* ObjectList< TYPE >::containedObject | ( | long | dist | ) | const
| inline virtual

Return const pointer to an object of a given distance.

Implements ObjectContainerBase.

Definition at line 264 of file ObjectList.h.

264 {
265 return dist < size() ? *std::next( begin(), dist ) : nullptr;
266 }
ObjectList::size
ObjectList< TYPE >::size_type size() const
Return the size of the container Size means the number of objects stored in the container, independently on the amount of information stored in each object.
Definition: ObjectList.h:124
std::next
T next(T...args)
ObjectList::begin
ObjectList< TYPE >::iterator begin()
Return an iterator pointing to the beginning of the container.
Definition: ObjectList.h:82
template<class TYPE>

bool ObjectList< TYPE >::empty | ( |  | ) | const
| inline

Return true if the size of the container is 0.

Definition at line 139 of file ObjectList.h.

139 {
140 return m_list.empty();
141 }
std::list::empty
T empty(T...args)
ObjectList::m_list
std::list< TYPE * > m_list
The STL list.
Definition: ObjectList.h:290
template<class TYPE>

ObjectList<TYPE>::iterator ObjectList< TYPE >::end | ( |  | ) |
| inline

Return an iterator pointing to the end of the container.

Definition at line 92 of file ObjectList.h.

92 {
93 return m_list.end();
94 }
std::list::end
T end(T...args)
ObjectList::m_list
std::list< TYPE * > m_list
The STL list.
Definition: ObjectList.h:290
template<class TYPE>

ObjectList<TYPE>::const_iterator ObjectList< TYPE >::end | ( |  | ) | const
| inline

Return a const_iterator pointing to the end of the container.

Definition at line 97 of file ObjectList.h.

97 {
98 return m_list.end();
99 }
std::list::end
T end(T...args)
ObjectList::m_list
std::list< TYPE * > m_list
The STL list.
Definition: ObjectList.h:290
template<class TYPE>

void ObjectList< TYPE >::erase | ( | typename ObjectList< TYPE >::iterator | position | ) |
| inline

Erase the object at "position" from the container. The removed object will be deleted.

Definition at line 225 of file ObjectList.h.

225 {
226 if( (*position)->parent() ) {
227 // Set the back pointer to 0 to avoid repetitional searching
228 // for the object in the container, and deleting the object
229 (*position)->setParent(nullptr);
230 delete *position;
231 }
232 // Removing from the container itself
233 m_list.erase(position);
234 }
std::list::erase
T erase(T...args)
ObjectList::m_list
std::list< TYPE * > m_list
The STL list.
Definition: ObjectList.h:290
template<class TYPE>

void ObjectList< TYPE >::erase | ( | typename ObjectList< TYPE >::iterator | first,
|  | typename ObjectList< TYPE >::iterator | last
| ) |  |
| inline

Erase the range [first, last) from the container. The removed object will be deleted.

Definition at line 237 of file ObjectList.h.

238 {
239 for( auto iter = first; iter != last; ++iter ) {
240 // Set the back pointer to 0 to avoid repetitional searching
241 // for the object in the container, and deleting the object
242 (*iter)->setParent(nullptr);
243 delete *iter;
244 }
245 // Removing from the container itself
246 m_list.erase(first, last);
247 }
std::list::erase
T erase(T...args)
ObjectList::m_list
std::list< TYPE * > m_list
The STL list.
Definition: ObjectList.h:290
template<class TYPE>

virtual std::ostream& ObjectList< TYPE >::fillStream | ( | std::ostream & | s | ) | const
| inline virtual

Fill the output stream (ASCII)

Reimplemented from DataObject.

Definition at line 269 of file ObjectList.h.

269 {
270 s << "class ObjectList : size = "
271 << std::setw(12)
272 << size() << "\n";
273 // Output the base class
274 //ObjectContainerBase::fillStream(s);
275 if ( !empty() ) {
276 s << "\nContents of the STL list :";
277 long count = 0;
278 for( const auto& iter : m_list ) {
279 s << "\nIndex "
280 << std::setw(12)
281 << count++
282 << " of object of type "<< *iter;
283 }
284 }
285 return s;
286 }
ObjectList::empty
bool empty() const
Return true if the size of the container is 0.
Definition: ObjectList.h:139
ObjectList::size
ObjectList< TYPE >::size_type size() const
Return the size of the container Size means the number of objects stored in the container, independently on the amount of information stored in each object.
Definition: ObjectList.h:124
std::setw
T setw(T...args)
std::count
T count(T...args)
ObjectList::m_list
std::list< TYPE * > m_list
The STL list.
Definition: ObjectList.h:290
gaudirun.s
string s
Definition: gaudirun.py:245
template<class TYPE>

ObjectList<TYPE>::reference ObjectList< TYPE >::front | ( |  | ) |
| inline

Return reference to the first element.

Definition at line 144 of file ObjectList.h.

144 {
145 return m_list.front();
146 }
std::list::front
T front(T...args)
ObjectList::m_list
std::list< TYPE * > m_list
The STL list.
Definition: ObjectList.h:290
template<class TYPE>

ObjectList<TYPE>::const_reference ObjectList< TYPE >::front | ( |  | ) | const
| inline

Return const_reference to the first element.

Definition at line 149 of file ObjectList.h.

149 {
150 return m_list.front();
151 }
std::list::front
T front(T...args)
ObjectList::m_list
std::list< TYPE * > m_list
The STL list.
Definition: ObjectList.h:290
template<class TYPE>

virtual long ObjectList< TYPE >::index | ( | const ContainedObject * | obj | ) | const
| inline virtual

Return distance of a given object from the beginning of its container It corresponds to the "index" ( from 0 to size()-1 ) If "obj" not fount, return -1.

Implements ObjectContainerBase.

Definition at line 256 of file ObjectList.h.

256 {
257 auto i = std::find_if(begin(),end(),
258 [&](const ContainedObject* o)
259 { return o == obj; } );
260 return i!=end() ? std::distance( begin(), i ) : -1 ;
261 }
std::distance
T distance(T...args)
ObjectList::begin
ObjectList< TYPE >::iterator begin()
Return an iterator pointing to the beginning of the container.
Definition: ObjectList.h:82
ContainedObject
All classes that their objects may be contained in an LHCb ObjectContainer (e.g.
Definition: ContainedObject.h:29
std::find_if
T find_if(T...args)
ana.i
list i
Definition: ana.py:128
ObjectList::end
ObjectList< TYPE >::iterator end()
Return an iterator pointing to the end of the container.
Definition: ObjectList.h:92
template<class TYPE>

ObjectList<TYPE>::iterator ObjectList< TYPE >::insert | ( | typename ObjectList< TYPE >::iterator | position,
|  | typename ObjectList< TYPE >::const_reference | value
| ) |  |
| inline

Insert "value" before "position".

Definition at line 218 of file ObjectList.h.

219 {
220 value->setParent(this);
221 return m_list.insert(position, value);
222 }
dump_component_properties.value
list value
Definition: dump_component_properties.py:12
ObjectList::m_list
std::list< TYPE * > m_list
The STL list.
Definition: ObjectList.h:290
std::list::insert
T insert(T...args)
template<class TYPE>

ObjectList<TYPE>::size_type ObjectList< TYPE >::max_size | ( |  | ) | const
| inline

Return the largest possible size of the container.

Definition at line 134 of file ObjectList.h.

134 {
135 return m_list.max_size();
136 }
ObjectList::m_list
std::list< TYPE * > m_list
The STL list.
Definition: ObjectList.h:290
std::list::max_size
T max_size(T...args)
template<class TYPE>

virtual ObjectList<TYPE>::size_type ObjectList< TYPE >::numberOfObjects | ( |  | ) | const
| inline virtual

The same as size(), return number of objects in the container.

Implements ObjectContainerBase.

Definition at line 129 of file ObjectList.h.

129 {
130 return m_list.size();
131 }
ObjectList::m_list
std::list< TYPE * > m_list
The STL list.
Definition: ObjectList.h:290
std::list::size
T size(T...args)
template<class TYPE>

ObjectList& ObjectList< TYPE >::operator= | ( | const ObjectList< TYPE > & |  | ) |
| delete

template<class TYPE>

void ObjectList< TYPE >::pop_back | ( |  | ) |
| inline

pop_back = remove the last element from the container The removed object will be deleted (see the method release)

Definition at line 188 of file ObjectList.h.

188 {
189 auto position = m_list.back();
190 // Set the back pointer to 0 to avoid repetitional searching
191 // for the object in the container, and deleting the object
192 position->setParent (nullptr);
193 delete position;
194 // Removing from the container itself
195 m_list.pop_back();
196 }
std::list::pop_back
T pop_back(T...args)
ObjectList::m_list
std::list< TYPE * > m_list
The STL list.
Definition: ObjectList.h:290
std::list::back
T back(T...args)
template<class TYPE>

void ObjectList< TYPE >::push_back | ( | typename ObjectList< TYPE >::const_reference | value | ) |
| inline

push_back = append = insert a new element at the end of the container

Definition at line 164 of file ObjectList.h.

164 {
165 if( value->parent() ) {
166 const_cast<ObjectContainerBase*>(value->parent())->remove(value);
167 }
168 value->setParent(this);
169 m_list.push_back(value);
170 }
std::list::push_back
T push_back(T...args)
dump_component_properties.value
list value
Definition: dump_component_properties.py:12
ObjectList::m_list
std::list< TYPE * > m_list
The STL list.
Definition: ObjectList.h:290
ObjectContainerBase
ObjectContainerBase is the base class for Gaudi container classes.
Definition: ObjectContainerBase.h:19
template<class TYPE>

ObjectList<TYPE>::reverse_iterator ObjectList< TYPE >::rbegin | ( |  | ) |
| inline

Return a reverse_iterator pointing to the beginning of the reversed container.

Definition at line 103 of file ObjectList.h.

103 {
104 return m_list.rbegin();
105 }
ObjectList::m_list
std::list< TYPE * > m_list
The STL list.
Definition: ObjectList.h:290
std::list::rbegin
T rbegin(T...args)
template<class TYPE>

ObjectList<TYPE>::const_reverse_iterator ObjectList< TYPE >::rbegin | ( |  | ) | const
| inline

Return a const_reverse_iterator pointing to the beginning of the reversed container.

Definition at line 108 of file ObjectList.h.

108 {
109 return m_list.rbegin();
110 }
ObjectList::m_list
std::list< TYPE * > m_list
The STL list.
Definition: ObjectList.h:290
std::list::rbegin
T rbegin(T...args)
template<class TYPE>

virtual long ObjectList< TYPE >::remove | ( | ContainedObject * | value | ) |
| inline virtual

Release object from the container (the pointer will be removed from the container, but the object itself will remain alive) (see the method pop_back)

Implements ObjectContainerBase.

Definition at line 200 of file ObjectList.h.

200 {
201 // Find the object of value value
202 long idx = 0;
203 auto iter = std::find_if( begin(), end(), [&](const ContainedObject* i) { return i == value; } );
204 if( iter == end() ) {
205 // Object cannot be released from the container,
206 // as it is not contained in it
207 return -1;
208 }
209
210 // Set the back pointer to 0 to avoid repetitional searching
211 // for the object in the container and deleting the object
212 (*iter)->setParent(nullptr);
213 erase(iter);
214 return idx;
215 }
ObjectList::begin
ObjectList< TYPE >::iterator begin()
Return an iterator pointing to the beginning of the container.
Definition: ObjectList.h:82
dump_component_properties.value
list value
Definition: dump_component_properties.py:12
ContainedObject
All classes that their objects may be contained in an LHCb ObjectContainer (e.g.
Definition: ContainedObject.h:29
std::find_if
T find_if(T...args)
ana.i
list i
Definition: ana.py:128
ObjectList::erase
void erase(typename ObjectList< TYPE >::iterator position)
Erase the object at "position" from the container. The removed object will be deleted.
Definition: ObjectList.h:225
ObjectList::end
ObjectList< TYPE >::iterator end()
Return an iterator pointing to the end of the container.
Definition: ObjectList.h:92
template<class TYPE>

ObjectList<TYPE>::reverse_iterator ObjectList< TYPE >::rend | ( |  | ) |
| inline

Return a reverse_iterator pointing to the end of the reversed container.

Definition at line 113 of file ObjectList.h.

113 {
114 return m_list.rend();
115 }
std::list::rend
T rend(T...args)
ObjectList::m_list
std::list< TYPE * > m_list
The STL list.
Definition: ObjectList.h:290
template<class TYPE>

ObjectList<TYPE>::const_reverse_iterator ObjectList< TYPE >::rend | ( |  | ) | const
| inline

Return a const_reverse_iterator pointing to the end of the reversed container.

Definition at line 118 of file ObjectList.h.

118 {
119 return m_list.rend();
120 }
std::list::rend
T rend(T...args)
ObjectList::m_list
std::list< TYPE * > m_list
The STL list.
Definition: ObjectList.h:290
template<class TYPE>

ObjectList<TYPE>::size_type ObjectList< TYPE >::size | ( |  | ) | const
| inline

Return the size of the container Size means the number of objects stored in the container, independently on the amount of information stored in each object.

Definition at line 124 of file ObjectList.h.

124 {
125 // C++11: std::list::size is constant (pre C++11 it could be linear!)
126 return m_list.size();
127 }
ObjectList::m_list
std::list< TYPE * > m_list
The STL list.
Definition: ObjectList.h:290
std::list::size
T size(T...args)

## Member Data Documentation

template<class TYPE>

std::list<TYPE*> ObjectList< TYPE >::m_list
| private

The STL list.

Definition at line 290 of file ObjectList.h.

The documentation for this class was generated from the following files:

- GaudiKernel/GaudiKernel/ContainedObject.h
- GaudiKernel/GaudiKernel/ObjectList.h